Pre-release — content may change.

Identities

Update a service identity

PATCH
/service_identities/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Service identity UUID.

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/service_identities/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "data": {      "type": "service_identities"    }  }'
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "type": "service_identities",    "attributes": {      "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",      "external_id": "string",      "namespace": "string",      "uniqueness_scope": "string",      "external_url": "https://crm.example.com/contacts/abc-123",      "service_integration_type": "string",      "allow_identity_management": true,      "data": {},      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    },    "relationships": {      "identifiable": {        "data": {          "type": "people",          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"        },        "links": {          "self": "/service_identities/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/identifiable",          "related": "/service_identities/7247ad7d-9275-454b-9e3a-0570e403739e/identifiable"        }      },      "service": {        "data": {          "type": "services",          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"        },        "links": {          "self": "/service_identities/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/service",          "related": "/service_identities/7247ad7d-9275-454b-9e3a-0570e403739e/service"        }      }    }  }}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}